Loading...
Searching...
No Matches
coap_io.h File Reference

Default network I/O functions. More...

`#include <sys/types.h>`
`#include "coap_address.h"`
Include dependency graph for coap_io.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_addr_tuple_t

## Macros

#define | COAP_RXBUFFER_SIZE 1472
#define | COAP_MAX_EPOLL_EVENTS 10
#define | coap_closesocket close
#define | COAP_SOCKET_ERROR (-1)
#define | COAP_INVALID_SOCKET (-1)

## Typedefs

typedef int | coap_fd_t
typedef uint16_t | coap_socket_flags_t
typedef struct coap_addr_tuple_t | coap_addr_tuple_t

## Enumerations

enum | coap_nack_reason_t { COAP_NACK_TOO_MANY_RETRIES , COAP_NACK_NOT_DELIVERABLE , COAP_NACK_RST , COAP_NACK_TLS_FAILED , COAP_NACK_ICMP_ISSUE , COAP_NACK_BAD_RESPONSE , COAP_NACK_TLS_LAYER_FAILED , COAP_NACK_WS_LAYER_FAILED , COAP_NACK_WS_FAILED }

## Functions

const char * | coap_socket_strerror (void)
int | coap_tcp_is_supported (void)
| Check whether TCP is available.

## Detailed Description

Default network I/O functions.

Definition in file coap_io.h.

## Macro Definition Documentation

## coap_closesocket

#define coap_closesocket close

Definition at line 48 of file coap_io.h.

## COAP_INVALID_SOCKET

#define COAP_INVALID_SOCKET (-1)

Definition at line 50 of file coap_io.h.

## COAP_MAX_EPOLL_EVENTS

#define COAP_MAX_EPOLL_EVENTS 10

Definition at line 38 of file coap_io.h.

## COAP_RXBUFFER_SIZE

#define COAP_RXBUFFER_SIZE 1472

Definition at line 29 of file coap_io.h.

## COAP_SOCKET_ERROR

#define COAP_SOCKET_ERROR (-1)

Definition at line 49 of file coap_io.h.

## Typedef Documentation

## coap_addr_tuple_t

typedef struct coap_addr_tuple_t coap_addr_tuple_t

## coap_fd_t

typedef int coap_fd_t

Definition at line 47 of file coap_io.h.

## coap_socket_flags_t

typedef uint16_t coap_socket_flags_t

Definition at line 53 of file coap_io.h.

## Enumeration Type Documentation

## coap_nack_reason_t

enum coap_nack_reason_t

Enumerator
COAP_NACK_TOO_MANY_RETRIES |
COAP_NACK_NOT_DELIVERABLE |
COAP_NACK_RST |
COAP_NACK_TLS_FAILED |
COAP_NACK_ICMP_ISSUE |
COAP_NACK_BAD_RESPONSE |
COAP_NACK_TLS_LAYER_FAILED |
COAP_NACK_WS_LAYER_FAILED |
COAP_NACK_WS_FAILED |

Definition at line 69 of file coap_io.h.

## Function Documentation

## coap_socket_strerror()

const char * coap_socket_strerror | ( | void |  | ) |

Definition at line 1768 of file coap_io.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## coap_tcp_is_supported()

int coap_tcp_is_supported | ( | void |  | ) |

Check whether TCP is available.

Returns
  `1` if support for TCP is enabled, or `0` otherwise.

Definition at line 37 of file coap_tcp.c.

Here is the caller graph for this function: